---
apiVersion: eda.ansible.com/v1alpha1
kind: EDA
metadata:
  name: {{ aapeda_instance_name }}
  namespace: {{ aap_operator_namespace }}
spec:
  automation_server_ssl_verify: 'no'
  route_tls_termination_mechanism: Edge
  ingress_type: Route
  loadbalancer_port: 80
  image_pull_policy: IfNotPresent
  ui:
    replicas: 1
  set_self_labels: true
  api:
    replicas: 1
  redis:
    replicas: 1
  automation_server_url: {{ aapctl_instance_route }}
  admin_user: admin
  loadbalancer_protocol: http
  route_host: {{ aapeda_instance_route }}
  worker:
    replicas: 2
{% if aapeda_instance_admin_password is defined %}
  admin_password_secret: {{ aapeda_instance_name }}-admin-password
{% endif %}
